// swift-tools-version: 5.6
import PackageDescription

let package = Package(
    name: "CHGenerator",
    platforms: [.macOS(.v10_15)],
    products: [
        .executable(
            name: "CHGenerator",
            targets: ["Generator"]),
    ],
    dependencies: [
        .package(url: "https://github.com/johnsundell/ink.git", from: "0.5.0"),
        .package(url: "https://github.com/JohnSundell/Splash", from: "0.16.0"),
    ],
    targets: [
        .executableTarget(
            name: "Generator",
            dependencies: [
                .product(name: "Ink", package: "ink"),
                .product(name: "Splash", package: "Splash"),
            ]),
    ]
)
